/* These are the default wordpress
classes that all themes need */

img{
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}

.wp-caption-text{}
.sticky{}
.gallery-caption{}
.bypostauthor{}

// Search
.searchform {
  position: relative;

  // Search form itself
  input[type="search"]{
    width: 100%;

    @include placeholder {
      color: fade-out( $text, 0.75 );
    }
  }

  // Submit button, swapped out for an icon
  input[type="submit"]{
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;

    // Remove standard style of button
    border: 1px solid transparent;
    padding: 0 1.25rem;
    font-size: 0;
    background-color: transparent;
    background-image: url( '../images/search.svg' );
    .no-svg & { background-image: url( '../images/search.png' ); }
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: 1rem;
    transition: border 0.1s ease-in-out;

    &:hover{
      cursor: pointer;
    }
  }
}

// Search on mobile devices
@include not-wider-than( tablet ){

  // The screen fades to black,
  // there is a search box. You
  // search for something you need.
  // One result. Linkedin.
  .searchform {
    display: none;
    .search__active & {
      display: block;
    }

    @at-root body.search__active{
      overflow: hidden;
    }
  }

  body.search__active {

    .search--trigger {
        height: 40px;
        position: absolute;
        top: 36px;
        z-index: 134124;
        left: 80%;
        background-color: white;
        border: 1px solid $grey-line;
        padding: 0 9%;
        background-size: 1rem auto;
    }
  }

  .searchform--inner{
    position: absolute;
    z-index: 2;
    left: 0;
    transform: translateY( -50% );
    transform: none;
    background-color: white;
    color: $text;
    padding: 1rem 0 0.3rem 1rem;
    top: 0;
    width: 75%;

    input[type="search"] {
      background-color: white;
      border-radius: 0;
      border: 1px solid $text;
      color: $text;
      font-size: 16px;

      @include placeholder{
        color: fade-out( $text, 0.5 );
        transition: all 240ms ease-in;
      }
    }

    input[type="submit"]{
      top: 1rem;
      height: 70%;
    }
  }
}